Subject: Re: bug#61076: Change in MBR between parted 3.2 and 3.3
From: "Brian C. Lane" <[email-masked]>
To: Frédéric Martinsons <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Jan 2023 08:28:18 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 26, 2023 at 11:52:36AM +0100, Frédéric Martinsons wrote:
> Hello,
> 
> I have an arm based board with an eMMC card for storage.
> I cross compil an GNU/Linux OS (with yocto) for this boardand and I came
> across an issue after updating parted to 3.3 and above.

[snip]

> 
> The main difference I spotted is the BIOS geometry:
>   - parted 3.2:   481 cylinder, 255 head, 63 sector (cylinder size 8225 kB)
>   - parted 3.3: 15163 cylinder, 255 head,  2 sector (cylinder size  261 kB)
> 
> I also tested parted 3.4 and parted 3.5 with the same result.
> Nevertheless, the partition table created by parted 3.3 and above is
> perfectly usable from what I see.
> 
> Long story short, do you know the origin of this discrepancy (I didn't
> see nothing
> in release not that could explain that though I obviously don't understan all
> the mechanics) and if it is possible to come back to the same kind of
> MBR generated
> by parted 3.2 ?

This change was introduced by commit
61dd3d4c5eb782eb43caa95342e63727db3f8281, it was needed to fix problems
growing partitions when using SD cards on the Raspberry Pi.

> One additional question arises for my understanding though, how come a partition
> with CHS address of the first sector equal to the last one is usable ?

Well, nothing should be actually using the CHS values these days. So
it's possible that's a bug that doesn't matter in practice, but I'll
have to look into that.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart